Subject: RE: [ipfix] security requirement for IPFIX protocol

From: "Wang, Cliff" <[email-masked]>
Date: Tue, 8 Jan 2002 18:59:50 -0000

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, January 08, 2002 10:48 AM
To: [email-masked]
Subject: Re: [ipfix] security requirement for IPFIX protocol

[....deleted...]

> 
> Also Section 8 discusses some security considerations. Client (probe) 
> to server (collection station) host level mutual authentication has 
> not been fully discussed. I think this should fit into the WG charter: 
> "Identify and address any security privacy concerns affecting flow 
> data. Determine technology for securing the flow information export 
> data, e.g. TLS. ".
> 
> What in my mind is that in order to secure IPFIX data, you got to 
> provide both host security (where data is stored) and transport 
> security (where data is sent). However, we should only try to provide 
> requirement and use existing solutions rather than building solutions 
> from ground up.

	I don't think protection of data stored on the server or
	the client is in our charter. We only need to deal with
	transporting the data securely.

[cliff] I would suggest we clearly spell that out in the charter.
On the other hand, I am still not clear whether authentication between the
probe and the collection station is a MUST or SHOULD.
My argument is that if you want the transport to be secure, then you
probably also want the two ends of the transport to be authenticated to each
other. Otherwise, from the security point of view, the extra effort of
transport security can be potentially wasted.

--
Help        mailto:[email-masked] and say "help" in message
body
Unsubscribe mailto:[email-masked] and say "unsubscribe ipfix"
in message body
Archive     http://ipfix.doit.wisc.edu/archive/

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/